%define upstream_name    Config-Model
%define upstream_version 2.152

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Framework for config validation and edition
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

Requires:   perl(Mouse::Meta::Attribute::Custom::Trait::Hash)
BuildRequires: perl(Carp)
BuildRequires: perl(Carp::Assert::More)
BuildRequires: perl(Config::Model::Tester) >= 4.2.0
BuildRequires: perl(Config::Model::Tester::Setup)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Encode)
BuildRequires: perl(English)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Hash::Merge) >= 0.120.0
BuildRequires: perl(IO::File)
BuildRequires: perl(JSON)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Log::Log4perl) >= 1.110.0
BuildRequires: perl(Module::Build) >= 0.340.0
BuildRequires: perl(Mouse)
BuildRequires: perl(Mouse::Role)
BuildRequires: perl(Mouse::Util)
BuildRequires: perl(Mouse::Util::TypeConstraints)
BuildRequires: perl(MouseX::NativeTraits)
BuildRequires: perl(MouseX::StrictConstructor)
BuildRequires: perl(POSIX)
BuildRequires: perl(Parse::RecDescent)
BuildRequires: perl(Path::Tiny) >= 0.70.0
BuildRequires: perl(Pod::POM)
BuildRequires: perl(Pod::Simple) >= 3.230.0
BuildRequires: perl(Pod::Text)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::File::Contents)
BuildRequires: perl(Test::Log::Log4perl)
BuildRequires: perl(Test::Memory::Cycle)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Perl::Critic)
BuildRequires: perl(Test::Pod) >= 1.0.0
BuildRequires: perl(Test::Warn) >= 0.110.0
BuildRequires: perl(Text::Levenshtein::Damerau)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(YAML::Tiny)
BuildRequires: perl(base)
BuildRequires: perl(boolean)
BuildRequires: perl(feature)
BuildRequires: perl(lib)
BuildRequires: perl(open)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

Requires:   perl(Parse::RecDescent)
Requires:   perl(Exception::Class)
Requires:   perl(Carp::Assert::More)
%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

%description
Config::Model provides a validation engine according to a set of rules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MODELS MYMETA.yml SIGNATURE TODO
%{perl_vendorlib}/Config
%{_mandir}/man3/*

%changelog
* Wed Aug 03 2022 tv <tv> 2.152.0-1.mga9
+ Revision: 1874902
- update to 2.152

* Mon May 09 2022 tv <tv> 2.150.0-1.mga9
+ Revision: 1857097
- update to 2.150

* Wed Mar 23 2022 umeabot <umeabot> 2.149.0-2.mga9
+ Revision: 1821005
- Mageia 9 Mass Rebuild

* Sat Jan 15 2022 tv <tv> 2.149.0-1.mga9
+ Revision: 1768395
- update to 2.149

* Mon Jan 10 2022 tv <tv> 2.148.0-1.mga9
+ Revision: 1767717
- update to 2.148

* Wed Dec 01 2021 tv <tv> 2.147.0-1.mga9
+ Revision: 1760397
- update to 2.147

* Tue Nov 09 2021 tv <tv> 2.145.0-1.mga9
+ Revision: 1755146
- update to 2.145

* Tue Nov 02 2021 tv <tv> 2.143.0-1.mga9
+ Revision: 1753660
- update to 2.143

* Fri Apr 09 2021 tv <tv> 2.142.0-1.mga9
+ Revision: 1714212
- update to 2.142

* Thu Feb 25 2021 tv <tv> 2.141.0-1.mga9
+ Revision: 1690211
- update to 2.141

* Sat Aug 01 2020 tv <tv> 2.140.0-1.mga8
+ Revision: 1610093
- update to 2.140

* Mon Jul 20 2020 tv <tv> 2.139.0-1.mga8
+ Revision: 1607287
- update to 2.139

* Tue Feb 18 2020 umeabot <umeabot> 2.138.0-2.mga8
+ Revision: 1541540
- Mageia 8 Mass Rebuild

* Sun Dec 29 2019 tv <tv> 2.138.0-1.mga8
+ Revision: 1474637
- update to 2.138

* Tue Dec 03 2019 tv <tv> 2.137.0-1.mga8
+ Revision: 1464114
- update to 2.137

* Mon Aug 05 2019 tv <tv> 2.136.0-1.mga8
+ Revision: 1427483
- update to 2.136

* Sat Jun 29 2019 tv <tv> 2.135.0-1.mga8
+ Revision: 1416076
- update to 2.135

* Mon Jan 14 2019 tv <tv> 2.133.0-1.mga7
+ Revision: 1356717
- update to 2.133

* Fri Dec 28 2018 tv <tv> 2.132.0-1.mga7
+ Revision: 1345371
- update to 2.132

* Mon Dec 17 2018 tv <tv> 2.131.0-1.mga7
+ Revision: 1342145
- update to 2.131

* Sat Dec 08 2018 tv <tv> 2.130.0-1.mga7
+ Revision: 1338905
- update to 2.130

* Fri Dec 07 2018 tv <tv> 2.129.0-1.mga7
+ Revision: 1338743
- BR perl(boolean)
- update to 2.129

* Thu Nov 22 2018 tv <tv> 2.128.0-1.mga7
+ Revision: 1333167
- update to 2.128

* Wed Oct 17 2018 shlomif <shlomif> 2.127.0-1.mga7
+ Revision: 1321439
- update to 2.127

* Thu Sep 20 2018 umeabot <umeabot> 2.126.0-2.mga7
+ Revision: 1282378
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 2.126.0-1.mga7
+ Revision: 1253913
- update to 2.126

* Fri Jun 22 2018 shlomif <shlomif> 2.124.0-1.mga7
+ Revision: 1238893
- update to 2.124

* Sat May 05 2018 shlomif <shlomif> 2.123.0-1.mga7
+ Revision: 1226411
- New version 2.123
- New version 2.122
+ kekepower <kekepower>
- Update to version 2.120

* Sun Feb 25 2018 shlomif <shlomif> 2.117.0-1.mga7
+ Revision: 1204912
- update to 2.117

* Tue Dec 26 2017 shlomif <shlomif> 2.116.0-1.mga7
+ Revision: 1185255
- update to 2.116

* Sun Dec 10 2017 shlomif <shlomif> 2.114.0-1.mga7
+ Revision: 1181978
- update to 2.114

* Tue Oct 24 2017 shlomif <shlomif> 2.113.0-1.mga7
+ Revision: 1173330
- update to 2.113

* Mon Oct 02 2017 tv <tv> 2.112.0-2.mga7
+ Revision: 1163472
- rebuild with fixed rpm for missing autodeps

* Mon Oct 02 2017 guillomovitch <guillomovitch> 2.112.0-1.mga7
+ Revision: 1162504
- new version 2.112

* Mon Sep 25 2017 guillomovitch <guillomovitch> 2.111.0-1.mga7
+ Revision: 1158942
- new version 2.111

* Tue Sep 19 2017 tv <tv> 2.109.0-2.mga7
+ Revision: 1155410
- BR perl(File::Which)
+ guillomovitch <guillomovitch>
- new version 2.109

* Sat Jun 18 2016 pterjan <pterjan> 2.83.0-3.mga6
+ Revision: 1024300
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 2.83.0-2.mga6
+ Revision: 1007471
- missing req

* Thu Apr 28 2016 shlomif <shlomif> 2.83.0-1.mga6
+ Revision: 1007458
- update to 2.083

* Fri Apr 22 2016 tv <tv> 2.82.0-1.mga6
+ Revision: 1004587
- new release
- new release

* Sat Feb 20 2016 umeabot <umeabot> 2.74.0-2.mga6
+ Revision: 971308
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 2.74.0-1.mga6
+ Revision: 891259
- update to 2.074

* Sun Jul 19 2015 sander85 <sander85> 2.73.0-2.mga6
+ Revision: 855469
- Exclude deps from _docdir

* Sun Jul 19 2015 sander85 <sander85> 2.73.0-1.mga6
+ Revision: 855390
- update to 2.073

* Sat Jul 04 2015 sander85 <sander85> 2.71.0-1.mga6
+ Revision: 850532
- update to 2.071

* Sat Oct 18 2014 umeabot <umeabot> 2.60.0-5.mga5
+ Revision: 787582
- Rebuild to add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.60.0-4.mga5
+ Revision: 743940
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.60.0-3.mga5
+ Revision: 732955
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.60.0-2.mga5
+ Revision: 683989
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 sander85 <sander85> 2.60.0-1.mga5
+ Revision: 665910
- update to 2.060

* Tue Jul 01 2014 sander85 <sander85> 2.59.0-1.mga5
+ Revision: 641837
- update to 2.059

* Sat Jun 21 2014 sander85 <sander85> 2.58.0-1.mga5
+ Revision: 638352
- update to 2.058

* Fri Jun 13 2014 sander85 <sander85> 2.57.0-1.mga5
+ Revision: 635960
- update to 2.057

* Tue May 20 2014 jquelin <jquelin> 2.56.0-1.mga5
+ Revision: 624188
- update to 2.056

* Tue May 06 2014 jquelin <jquelin> 2.55.0-1.mga5
+ Revision: 620453
- update to 2.055

* Tue Apr 15 2014 jquelin <jquelin> 2.54.0-1.mga5
+ Revision: 614660
- update to 2.054

* Tue Mar 25 2014 jquelin <jquelin> 2.52.0-1.mga5
+ Revision: 608316
- update to 2.052

* Thu Mar 13 2014 jquelin <jquelin> 2.51.0-1.mga5
+ Revision: 602855
- update to 2.051

* Fri Feb 28 2014 jquelin <jquelin> 2.50.0-1.mga5
+ Revision: 597848
- update to 2.050

* Mon Feb 24 2014 jquelin <jquelin> 2.48.0-1.mga5
+ Revision: 596242
- update to 2.048

* Mon Feb 17 2014 jquelin <jquelin> 2.47.0-1.mga5
+ Revision: 593427
- update to 2.047

* Tue Oct 22 2013 umeabot <umeabot> 2.44.0-2.mga4
+ Revision: 542285
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 2.44.0-1.mga4
+ Revision: 497224
- update to 2.044

* Wed Sep 25 2013 sander85 <sander85> 2.43.0-1.mga4
+ Revision: 486145
- update to 2.043

* Mon Sep 16 2013 sander85 <sander85> 2.42.0-1.mga4
+ Revision: 480342
- update to 2.042

* Fri Aug 16 2013 sander85 <sander85> 2.41.0-1.mga4
+ Revision: 466852
- update to 2.041

* Sun Jul 21 2013 sander85 <sander85> 2.40.0-1.mga4
+ Revision: 456981
- update to 2.040

* Wed Jun 26 2013 jquelin <jquelin> 2.37.0-1.mga4
+ Revision: 446886
- update to 2.037

* Fri Jun 07 2013 jquelin <jquelin> 2.36.0-1.mga4
+ Revision: 438896
- update to 2.036

* Sun Jun 02 2013 jquelin <jquelin> 2.29.0-4.mga4
+ Revision: 434471
- perl 5.18.0 rebuild

* Mon Mar 18 2013 jquelin <jquelin> 2.29.0-3.mga3
+ Revision: 403809
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.29.0-2.mga3
+ Revision: 364692
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.29.0-1.mga3
+ Revision: 341968
- update to 2.029

* Tue Nov 06 2012 jquelin <jquelin> 2.27.0-2.mga3
+ Revision: 314927
- perl 5.16.2 shebang rebuild

* Tue Nov 06 2012 jquelin <jquelin> 2.27.0-1.mga3
+ Revision: 314871
- update to 2.027

* Mon Oct 01 2012 jquelin <jquelin> 2.26.0-1.mga3
+ Revision: 301260
- update to 2.026

* Mon Sep 10 2012 kharec <kharec> 2.25.0-1.mga3
+ Revision: 292034
- update to 2.025

* Wed Sep 05 2012 kharec <kharec> 2.24.0-1.mga3
+ Revision: 288451
- update to 2.024

* Fri Aug 24 2012 jquelin <jquelin> 2.23.0-2.mga3
+ Revision: 283533
- perl 5.16.1 rebuild

* Thu Jul 12 2012 jquelin <jquelin> 2.23.0-1.mga3
+ Revision: 270265
- update to 2.023

* Wed Jul 04 2012 jquelin <jquelin> 2.22.0-1.mga3
+ Revision: 267283
- update to 2.022

* Mon Jul 02 2012 jquelin <jquelin> 2.21.0-1.mga3
+ Revision: 266670
- update to 2.021

* Sat Jun 09 2012 jquelin <jquelin> 2.19.0-1.mga3
+ Revision: 258937
- update to 2.019

* Tue Jun 05 2012 jquelin <jquelin> 2.18.0-1.mga3
+ Revision: 254689
- update to 2.018

* Mon Jun 04 2012 jquelin <jquelin> 2.8.0-2.mga3
+ Revision: 254195
- fix shebang with new perl 5.16 path

* Tue Mar 06 2012 jquelin <jquelin> 2.8.0-1.mga2
+ Revision: 219675
- update to 2.008

* Fri Feb 24 2012 jquelin <jquelin> 2.4.0-1.mga2
+ Revision: 213679
- update to 2.004

* Tue Dec 06 2011 kharec <kharec> 1.265.0-1.mga2
+ Revision: 177978
- update to 1.265

* Sat Nov 19 2011 kharec <kharec> 1.262.0-1.mga2
+ Revision: 169231
- update to 1.262

* Sat Nov 05 2011 kharec <kharec> 1.260.0-1.mga2
+ Revision: 163656
- update to 1.260

* Thu Nov 03 2011 jquelin <jquelin> 1.259.0-1.mga2
+ Revision: 162186
- update to 1.259

* Fri Oct 14 2011 jquelin <jquelin> 1.257.0-2.mga2
+ Revision: 155126
- perl 5.14.2 rebuild

* Mon Sep 26 2011 jquelin <jquelin> 1.257.0-1.mga2
+ Revision: 148023
- update to 1.257

* Tue Sep 06 2011 takashi <takashi> 1.254.0-1.mga2
+ Revision: 139268
- Update to 1.254

* Thu Sep 01 2011 jquelin <jquelin> 1.251.0-1.mga2
+ Revision: 137542
- update to 1.251
- update to 1.250

* Fri Jul 08 2011 jquelin <jquelin> 1.248.0-1.mga2
+ Revision: 120364
- update to 1.248

* Thu Jun 30 2011 jquelin <jquelin> 1.247.0-1.mga2
+ Revision: 116414
- update to 1.247

* Tue Jun 21 2011 jquelin <jquelin> 1.246.0-1.mga2
+ Revision: 111408
- update to 1.246

* Sun Jun 19 2011 jquelin <jquelin> 1.244.0-2.mga2
+ Revision: 109883
- rebuild script for perl 5.14.1

* Wed Jun 15 2011 jquelin <jquelin> 1.244.0-1.mga2
+ Revision: 106544
- update to 1.244

* Mon Apr 11 2011 jquelin <jquelin> 1.241.0-1.mga1
+ Revision: 83347
- update to 1.241

* Fri Apr 08 2011 jquelin <jquelin> 1.240.0-1.mga1
+ Revision: 82196
- update to 1.240

* Mon Apr 04 2011 kharec <kharec> 1.237.0-1.mga1
+ Revision: 80542
- disable check
- add a BR on Mouse::Meta::Attribute::Custom::Trait::Hash
- add a br on Config::Model
- new version
+ jquelin <jquelin>
- update to 1.236

* Wed Mar 02 2011 jquelin <jquelin> 1.235.0-1.mga1
+ Revision: 62531
- update to 1.235

* Fri Feb 25 2011 jquelin <jquelin> 1.234.0-1.mga1
+ Revision: 59648
- update to 1.234

* Wed Feb 16 2011 jquelin <jquelin> 1.233.0-1.mga1
+ Revision: 52314
- update to 1.233

* Thu Jan 27 2011 jquelin <jquelin> 1.230.0-1.mga1
+ Revision: 41885
- update to 1.230

* Wed Jan 26 2011 jquelin <jquelin> 1.226.0-1.mga1
+ Revision: 41054
- mageia rebuild
- imported package perl-Config-Model

